## wxRichTextHTMLHandler

Handles HTML output (only) for wxRichTextCtrl content.

Derived from

wxRichTextFileHandler

Include files

<wx/richtext/richtexthtml.h>

Data structures

Members

wxRichTextHTMLHandler::wxRichTextHTMLHandler
wxRichTextHTMLHandler::DoSaveFile

### wxRichTextHTMLHandler::wxRichTextHTMLHandler

wxRichTextHTMLHandler(const wxString& name = wxT("HTML"), const wxString& ext = wxT("html"), int type = wxRICHTEXT_TYPE_HTML)

Constructor.

### wxRichTextHTMLHandler::DoSaveFile

bool DoSaveFile(wxRichTextBuffer* buffer, wxOutputStream& stream)

Saves the buffer content to the HTML stream.